%define upstream_name    Astro-FITS-Header
%define upstream_version 3.07

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}|perl\\((GSD!NDF|Starlink::AST)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Interface to FITS headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Astro/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Stores information about a FITS header block in an object. Takes an hash
with an array reference as an arguement. The array should contain a list of
FITS header cards as input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot}

%files
%doc GPL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 3.70.0-13pclos2017
- rebuild against updates

